Package org.openoffice.da.comp.w2lcommon.helper

# Class DialogAccess

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.DialogAccess

Direct Known Subclasses:
  `DialogBase`

public class DialogAccess extends Object
This class provides some convenient methods to access a uno dialog

## Field Summary

Fields
Modifier and Type
Field
Description
`static final short`
`CHECKBOX_CHECKED`
`static final short`
`CHECKBOX_DONT_KNOW`
`static final short`
`CHECKBOX_NOT_CHECKED`

## Constructor Summary

Constructors
Constructor
Description
`DialogAccess(com.sun.star.awt.XDialog xDialog)`

## Method Summary

Modifier and Type
Method
Description
`short`
`getCheckBoxState(String sControlName)`
`boolean`
`getCheckBoxStateAsBoolean(String sControlName)`
`String`
`getComboBoxText(String sControlName)`
`boolean`
`getControlEnabled(String sControlName)`
`com.sun.star.beans.XPropertySet`
`getControlProperties(String sControlName)`
`int`
`getDateFieldValue(String sControlName)`
`protected com.sun.star.awt.XDialog`
`getDialog()`
`String`
`getFormattedFieldText(String sControlName)`
`String`
`getLabelText(String sControlName)`
`short`
`getListBoxLineCount(String sControlName)`
`short`
`getListBoxSelectedItem(String sControlName)`
`String[]`
`getListBoxStringItemList(String sControlName)`
`int`
`getNumericFieldValue(String sControlName)`
`String`
`getTextFieldText(String sControlName)`
`void`
`setCheckBoxState(String sControlName, short nState)`
`void`
`setCheckBoxStateAsBoolean(String sControlName, boolean bChecked)`
`void`
`setComboBoxText(String sControlName, String sText)`
`void`
`setControlEnabled(String sControlName, boolean bEnabled)`
`void`
`setDateFieldValue(String sControlName, int nValue)`
`protected void`
`setDialog(com.sun.star.awt.XDialog xDialog)`
`void`
`setFormattedFieldText(String sControlName, String sText)`
`void`
`setLabelText(String sControlName, String sLabel)`
`void`
`setListBoxLineCount(String sControlName, short nLineCount)`
`void`
`setListBoxSelectedItem(String sControlName, short nIndex)`
`void`
`setListBoxStringItemList(String sControlName, String[] items)`
`void`
`setNumericFieldValue(String sControlName, int nValue)`
`void`
`setTextFieldText(String sControlName, String sText)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CHECKBOX_NOT_CHECKED

public static final short CHECKBOX_NOT_CHECKED

See Also:
  - Constant Field Values

### CHECKBOX_CHECKED

public static final short CHECKBOX_CHECKED

See Also:
  - Constant Field Values

### CHECKBOX_DONT_KNOW

public static final short CHECKBOX_DONT_KNOW

See Also:
  - Constant Field Values

## Constructor Details

### DialogAccess

public DialogAccess(com.sun.star.awt.XDialog xDialog)

## Method Details

### setDialog

protected void setDialog(com.sun.star.awt.XDialog xDialog)

### getDialog

protected com.sun.star.awt.XDialog getDialog()

### getControlProperties

public com.sun.star.beans.XPropertySet getControlProperties(String sControlName)

### getControlEnabled

public boolean getControlEnabled(String sControlName)

### setControlEnabled

public void setControlEnabled(String sControlName, boolean bEnabled)

### getCheckBoxState

public short getCheckBoxState(String sControlName)

### getCheckBoxStateAsBoolean

public boolean getCheckBoxStateAsBoolean(String sControlName)

### setCheckBoxState

public void setCheckBoxState(String sControlName, short nState)

### setCheckBoxStateAsBoolean

public void setCheckBoxStateAsBoolean(String sControlName, boolean bChecked)

### getListBoxStringItemList

public String[] getListBoxStringItemList(String sControlName)

### setListBoxStringItemList

public void setListBoxStringItemList(String sControlName, String[] items)

### getListBoxSelectedItem

public short getListBoxSelectedItem(String sControlName)

### setListBoxSelectedItem

public void setListBoxSelectedItem(String sControlName, short nIndex)

### getListBoxLineCount

public short getListBoxLineCount(String sControlName)

### setListBoxLineCount

public void setListBoxLineCount(String sControlName, short nLineCount)

### getComboBoxText

public String getComboBoxText(String sControlName)

### setComboBoxText

public void setComboBoxText(String sControlName, String sText)

### getLabelText

public String getLabelText(String sControlName)

### setLabelText

public void setLabelText(String sControlName, String sLabel)

### getTextFieldText

public String getTextFieldText(String sControlName)

### setTextFieldText

public void setTextFieldText(String sControlName, String sText)

### getFormattedFieldText

public String getFormattedFieldText(String sControlName)

### setFormattedFieldText

public void setFormattedFieldText(String sControlName, String sText)

### getDateFieldValue

public int getDateFieldValue(String sControlName)

### setDateFieldValue

public void setDateFieldValue(String sControlName, int nValue)

### getNumericFieldValue

public int getNumericFieldValue(String sControlName)

### setNumericFieldValue

public void setNumericFieldValue(String sControlName, int nValue)